Show Assistant
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants/{id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"description": "<string>",
"account_id": 123,
"config": {
"product_name": "<string>",
"feature_faq": true,
"feature_memory": true,
"feature_citation": true,
"welcome_message": "<string>",
"handoff_message": "<string>",
"resolution_message": "<string>",
"instructions": "<string>",
"temperature": 123
},
"guardrails": [
"<string>"
],
"response_guidelines": [
"<string>"
],
"created_at": 123,
"updated_at": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Livia
Show Assistant
Get one AI assistant in the account.
GET
/
api
/
v1
/
accounts
/
{account_id}
/
captain
/
assistants
/
{id}
Show Assistant
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants/{id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/captain/assistants/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"name": "<string>",
"description": "<string>",
"account_id": 123,
"config": {
"product_name": "<string>",
"feature_faq": true,
"feature_memory": true,
"feature_citation": true,
"welcome_message": "<string>",
"handoff_message": "<string>",
"resolution_message": "<string>",
"instructions": "<string>",
"temperature": 123
},
"guardrails": [
"<string>"
],
"response_guidelines": [
"<string>"
],
"created_at": 123,
"updated_at": 123
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{}{}Authorizations
Path Parameters
ID of the assistant
The numeric ID of the account